curs_instr(3X)

NAME
instr, innstr, winstr, winnstr, mvinstr, mvinnstr, mvwinstr, mvwinnstr - get a string of characters from a curses window

SYNOPSIS
#include <curses.h> int instr(char *str);
int innstr(char *str, int n);
int winstr(WINDOW *win, char *str);
int winnstr(WINDOW *win, char *str, int n);
int mvinstr(int y, int x, char *str);
int mvinnstr(int y, int x, char *str, int n);
int mvwinstr(WINDOW *win, int y, int x, char *str);
int mvwinnstr(WINDOW *win, int y, int x, char *str, int n);

DESCRIPTION
These routines return a string of characters in str, extracted starting at the current cursor position in the named window and ending at the right margin of the window. Attributes are stripped from the characters. The four functions with n as the last argument return a leading substring at most n characters long (exclusive of the trailing NUL).

RETURN VALUE
All routines that return an integer return ERR upon failure and OK (SVr4 specifies only "an integer value other than ERR") upon successful completion, unless otherwise noted in the preceding routine descriptions.

NOTES
Note that all routines except winnstr may be macros. SVr4 does not document whether a length limit includes or excludes the trailing NUL, and does not document the meaning of the return values.

PORTABILITY
These functions are described in the XSI Curses standard, Issue 4. The standard specifies that they always return OK on success. The XSI Curses error conditions EILSEQ and EILOVERFLOW associated with extended-level conformance are not yet detected (this implementation does not yet support XPG4 multi-byte characters).

SEE ALSO
curses(3X).